﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
  <DisplayInfo Title="VLC Media Player" Publisher="VideoLAN" Version="" ReleaseDate="" Architecture="x64">
    <UserCategories>
    </UserCategories>
    <SoftwareCategories>
    </SoftwareCategories>
  </DisplayInfo>
  <DeploymentType Title="" Architecture="x64" Technology="Script" DetectionMethod="Script" ContentLocation="\\server01\sources$\VideoLAN\VLC media player\archive\{SoftwareVersion}\win_{Architecture}\">
    <UninstallCommand>"Deploy-Application.exe" UNINSTALL</UninstallCommand>
    <InstallCommand>"Deploy-Application.exe" INSTALL</InstallCommand>
    <DetectionScript RunAs32Bit="False" Language="PowerShell">
      <TEXT>$DisplayName = '{DetectionName}'
$DisplayVersion = [version]'{DetectionVersion}'
$Architecture = '{Architecture}'
$DetectionRegPath = '{DetectionRegPath}'
$RegKey = Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -like "$DisplayName*"}

if($RegKey) {
    if([version]$RegKey.GetValue('DisplayVersion') -ge $DisplayVersion) {
        return $true
    }
}</TEXT>
    </DetectionScript>
  </DeploymentType>
</Application>